import { route } from 'quasar/wrappers';
import {
  createMemoryHistory,
  createRouter,
  createWebHashHistory,
  createWebHistory,
} from 'vue-router';
import { StateInterface } from '../store';
import routes from './routes';
// import { nextTick } from 'vue'

/*
 * If not building with SSR mode, you can
 * directly export the Router instantiation;
 *
 * The function below can be async too; either use
 * async/await or return a Promise which resolves
 * with the Router instance.
 */

export default route<StateInterface>(function (/* { store, ssrContext } */) {
  const createHistory = process.env.SERVER
    ? createMemoryHistory
    : process.env.VUE_ROUTER_MODE === 'history'
    ? createWebHistory
    : createWebHashHistory;

  const Router = createRouter({
    // scrollBehavior (to, from, savedPosition) {
    //   return { x: 0, y: 0 }
    // },
    // scrollBehavior: (to) => {
    //   const idToScrollTo = to.hash
    //   if (idToScrollTo && document.querySelector(idToScrollTo)) {
    //     const el = document.querySelector(idToScrollTo)
    //     if (el) el.scrollIntoView()
    //   }
    //   // void nextTick(()=>{
    //   //   if (idToScrollTo && document.querySelector(idToScrollTo)) {
    //   //     const el = document.querySelector(idToScrollTo)
    //   //     if (el) el.scrollIntoView()
    //   //   }
    //   // })
    //   return { left: 0, top: 0 }
    // },
    routes,

    // Leave this as is and make changes in quasar.conf.js instead!
    // quasar.conf.js -> build -> vueRouterMode
    // quasar.conf.js -> build -> publicPath
    history: createHistory(
      process.env.MODE === 'ssr' ? void 0 : process.env.VUE_ROUTER_BASE
    ),
  });

  return Router;
});
